{ pkgs, config, repoFlake, ... }:

{
  programs.waybar = {
    enable = true;
    package = repoFlake.inputs.nixpkgs-wayland.outputs.packages.${pkgs.stdenv.hostPlatform.system}.waybar;
    # style = pkgs.lib.readFile ./waybar.css;
    systemd.enable = true;
    settings = {
      mainBar = {
        layer = "top";
        position = "bottom";
        height = 30;
        output = ["*"];
        # output = [
        #   "eDP-1"
        #   "DP-*"
        # ];

        modules-left = [
          "sway/workspaces"
          "sway/mode"
          # "wlr/taskbar"
        ];

        "sway/workspaces" = {
          disable-scroll = true;
          all-outputs = false;
        };

        modules-center = [ 
          "sway/window"
          # "custom/hello-from-waybar"
        ];

        modules-right = [ 
          "tray"

          "cpu"
          "memory"
          "temperature"
          "custom/fan"
          "battery"
          "pulseaudio"
          "clock"
          "clock#date"
        ];

        tray.spacing = 10;

        cpu.format = "  {}%";
        memory.format = "  {}%";
        "temperature" =  {
          hwmon-path = "/sys/class/hwmon/hwmon3/temp1_input";
          format = " {temperatureC} °C";
        };
        "custom/fan" = {

            format = "   {} rpm  ";
            exec = "${pkgs.lm_sensors}/bin/sensors | ${pkgs.gawk}/bin/awk '/fan1:/ {print $2}'";
            interval = 5;
        };
        battery.format = "🔋 {}%";
        pulseaudio = {
          format = "🔉 {volume}%";
          # on-click-middle = ''${pkgs.sway}/bin/swaymsg exec "${pkgs.pavucontrol}/bin/pavucontrol"'';
        };
        "clock#date".format = "{:%d %b %Y}";
        clock.format = "{:%H:%M %p}";

        # "custom/hello-from-waybar" = {
        #   format = "hello {}";
        #   max-length = 40;
        #   interval = "once";
        #   exec = pkgs.writeShellScript "hello-from-waybar" ''
        #     echo "from within waybar"
        #   '';
        # };
      };
    };
  };
}
